Subject: Re: [PATCH v3 05/14] gnu: racket: Adjust patch for "/bin/sh" in rktio.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 25 Aug 2022 11:09:29 +0200

Am Donnerstag, dem 25.08.2022 um 04:54 -0400 schrieb Philip McGrath:
> Use '_PATH_BSHELL' instead of a custom preprocessor macro. This may
> not
> be The Right Thing in the long term, but it at least avoids a
> proliferation of 'CPPFLAGS'.
> 
> * gnu/packages/patches/racket-minimal-sh-via-rktio.patch: Rename to
> ...
> * gnu/packages/patches/racket-rktio-bin-sh.patch: ... this, and
> change
> to use '_PATH_BSHELL'.
> * gnu/local.mk (dist_patch_DATA): Update accordingly.
> * gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
> (racket-vm-common-configure-flags): Stop setting 'CPPFLAGS'. Change
> to a
> constant instead of a function, since we no longer need the delay.
> (racket-vm-cgc, racket-vm-bc,
> racket-vm-cs)[arguments]<#:configure-flags>: Update accordingly.
> [inputs]: Remove 'bash-minimal'.
I'm not quite sure about removing bash-minimal, but otherwise LGTM.